View a markdown version of this page

ListExperimentDefinitions - AWS AppConfig

ListExperimentDefinitions

Lists the experiment definitions for an account. You can filter results by application, configuration profile, environment, or status.

Request Syntax

GET /experimentdefinitions?application_identifier=ApplicationIdentifier&configuration_profile_identifier=ConfigurationProfileIdentifier&environment_identifier=EnvironmentIdentifier&max_results=MaxResults&next_token=NextToken&status=Status HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

ApplicationIdentifier

The application ID or name to filter results.

Length Constraints: Minimum length of 1. Maximum length of 2048.

ConfigurationProfileIdentifier

The configuration profile ID or name to filter results.

Length Constraints: Minimum length of 1. Maximum length of 2048.

EnvironmentIdentifier

The environment ID or name to filter results.

Length Constraints: Minimum length of 1. Maximum length of 2048.

MaxResults

The maximum number of items to return for this call.

Valid Range: Minimum value of 1. Maximum value of 50.

NextToken

A token to start the list from a previously truncated response.

Length Constraints: Minimum length of 1. Maximum length of 2048.

Status

A filter for the experiment definition status.

Valid Values: ACTIVE | IDLE | ARCHIVED

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "Items": [ { "ApplicationId": "string", "ConfigurationProfileId": "string", "CreatedAt": "string", "EnvironmentId": "string", "FlagKey": "string", "Hypothesis": "string", "Id": "string", "Name": "string", "Status": "string", "UpdatedAt": "string" } ], "NextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

Items

The list of experiment definitions.

Type: Array of ExperimentDefinitionSummary objects

NextToken

A token to use for the next set of results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Errors

For information about the errors that are common to all actions, see Common Error Types.

BadRequestException

The input fails to satisfy the constraints specified by an AWS service.

Details

Detailed information about the input that failed to satisfy the constraints specified by a call.

HTTP Status Code: 400

InternalServerException

There was an internal failure in the AWS AppConfig service.

HTTP Status Code: 500

ResourceNotFoundException

The requested resource could not be found.

HTTP Status Code: 404

Examples

Example

This example illustrates one usage of ListExperimentDefinitions.

Sample Request

GET /experimentdefinitions?ApplicationIdentifier=abc1234 HTTP/1.1 Host: appconfig.us-east-1.amazonaws.com User-Agent: aws-cli X-Amz-Date: 20210916T175455Z Authorization: AWS4-HMAC-SHA256 Credential=AKIAIOSFODNN7EXAMPLE/20210916/us-east-1/appconfig/aws4_request, SignedHeaders=host;x-amz-date, Signature=39c3b3042cd2aEXAMPLE

Sample Response

{ "Items": [ { "ApplicationId": "abc1234", "ConfigurationProfileId": "ur8hx2f", "CreatedAt": "2026-06-16T17:54:55.847Z", "EnvironmentId": "env1234", "FlagKey": "my-feature-flag", "Id": "bsxyd7k", "Name": "Example-Experiment-Definition", "Status": "IDLE", "UpdatedAt": "2026-06-16T17:57:36Z" } ] }

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: